## org.eclipse.emf.ecore
Interface EOperation.Internal.InvocationDelegate

All Known Implementing Classes:
  BasicInvocationDelegate

Enclosing interface:
  EOperation.Internal

    public static interface EOperation.Internal.InvocationDelegate

A pluggable, dynamic implementation of operation behavior.

Nested Class Summary
`static interface` `EOperation.Internal.InvocationDelegate.Factory` A factory for creating invocation delegates.

Method Summary
`java.lang.Object` `dynamicInvoke(InternalEObject target, EList<?> arguments)` Invokes the operation behaviour for the specified `target` object.

Method Detail

### dynamicInvoke

    java.lang.Object dynamicInvoke(InternalEObject target,
                                   EList<?> arguments)
                                   throws java.lang.reflect.InvocationTargetException

  Invokes the operation behaviour for the specified `target` object.

  Parameters:
    `target` - the object on which to invoke the operation
    `arguments` - the arguments for the operation parameters (an empty list if the operation has no parameters)
  Returns:
    the operation's return result, or `null` if it is a void operation
  Throws:
    `java.lang.reflect.InvocationTargetException` - in case of failure to execute the operation behaviour, usually because of an exception

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.